Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85381 - ide driver printk's without log level.
Summary: ide driver printk's without log level.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-28 19:58 UTC by Robert Hentosh
Modified: 2006-03-11 03:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-01 15:50:47 UTC


Attachments (Terms of Use)

Description Robert Hentosh 2003-02-28 19:58:34 UTC
Description of problem:
There is a printk without a log level in the ide-floppy driver that causes un-
necessary console messages.  Should be KERN_INFO?  It causes extra messages at 
the login prompt on a text console.

Version-Release number of selected component (if applicable):
kernel version 2.4.20-2.48 and others.

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:
Displays messages at the login prompt:
       Localhost Login: Ide-floppy driver 0.99 newide
       hda :ATAPI 24X DVD-ROM drive,128kb Cache


Expected results:
<nothing>


Additional info:
You can find the first printk in ide-floppy.c at line 2198:
  printk("ide-floppy driver " IDEFLOPPY_VERSION "\n");

You can find the second printk in ide-cd.c at line 2834:
  printk(" %s: ATAPI", drive->name);

Please change to appropriate log level (KERN_INFO?) so it won't confuse 
customers.

Comment 1 Larry Troan 2003-03-11 20:26:45 UTC
ISSUE TRACKER 16717 opened by Dell as sev 4.

Comment 2 Alan Cox 2003-03-11 23:46:51 UTC
I agree, fixed in base IDE code. Up to Brian/Arjan to pick it up for product


Comment 3 Larry Troan 2003-07-01 01:28:08 UTC
Is this still a problem in latest Shrike kernel-2.4.20-18.9 errata?

Comment 4 Robert Hentosh 2003-07-01 15:48:04 UTC
I verified that both of these are fixed with KERN_INFO in 2.4.20-18.9 and 
Taroon.  Please close.


Note You need to log in before you can comment on or make changes to this bug.